SdFat

Classes | Macros | Variables
StdioStream.h File Reference

StdioStream class. More...

`#include <limits.h>`
`#include "FatFile.h"`
`#include <stdio.h>`
Include dependency graph for StdioStream.h:

## Classes
class | StdioStream
| StdioStream implements a minimal stdio stream. More...

## Macros
#define | EOF (-1)
#define | NULL 0
#define | SEEK_CUR 1
#define | SEEK_END 2
#define | SEEK_SET 0

## Variables
const uint8_t | STREAM_BUF_SIZE = 64
const uint8_t | UNGETC_BUF_SIZE = 2

## Detailed Description

StdioStream class.

Copyright (c) 2011-2018 Bill Greiman This file is part of the SdFat library for SD memory cards.

MIT License

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Macro Definition Documentation

## ◆ EOF

#define EOF (-1)

End-of-file return value.

## ◆ NULL

#define NULL 0

Null pointer

## ◆ SEEK_CUR

#define SEEK_CUR 1

Seek relative to current position.

## ◆ SEEK_END

#define SEEK_END 2

Seek relative to end-of-file.

## ◆ SEEK_SET

#define SEEK_SET 0

Seek relative to start-of-file.

## Variable Documentation

## ◆ STREAM_BUF_SIZE

const uint8_t STREAM_BUF_SIZE = 64

Total size of stream buffer. The entire buffer is used for output. During input UNGETC_BUF_SIZE of this space is reserved for ungetc.

## ◆ UNGETC_BUF_SIZE

const uint8_t UNGETC_BUF_SIZE = 2

Amount of buffer allocated for ungetc during input.